Skip to main content

Get Withdrawal

Use this endpoint to get a specific withdrawal by its id.

Available Environments​

https://api.gateway.com.br/core

Endpoint​

  • Method: GET
  • Endpoint: /withdrawal/{id}
  • Authentication: Bearer token

Path Params​

NameTypeRequiredDescriptionValidations
idstring (UUID)YesWithdrawal identifierMust be a valid UUID

Request Example​

curl --request GET \
--url https://api.gateway.com.br/core/withdrawal/553e8400-e29b-41d4-a716-436251480000 \
--header 'Authorization: Bearer your-jwt-token'

Success Response​

FieldTypeRequiredDescription
idstring (UUID)YesUnique identifier of the withdrawal
acquirerCodestringNoAcquirer code
acquirerstringYesAcquirer of the withdrawal
amountnumberYesWithdrawal amount (integer, in cents)
methodstring (enum) - PIXYesWithdrawal method
webhookUrlstringNoConfigured webhook URL
externalCodestringNoYour reference code
paymentReceiptobjectNoPayment receipt (see Sub-Object PaymentReceiptUrl)
refundReceiptobjectNoRefund receipt (see Sub-Object PaymentReceiptUrl)
createdAtstring (ISO)YesCreation date
statusstring (enum) - PENDING, PROCESSING, PROCESSED, FAILED, CANCELED, REFUNDED, REJECTED, PENDING_COMPLIANCEYes
  • PENDING: Withdrawal created, awaiting processing
  • PROCESSING: Withdrawal being processed
  • PROCESSED: Withdrawal processed successfully
  • FAILED: Processing error
  • CANCELED: Withdrawal canceled
  • REFUNDED: Withdrawal refunded
  • REJECTED: Withdrawal rejected by the gateway
  • PENDING_COMPLIANCE: Withdrawal awaiting compliance review
statusHistoryarrayYesStatus history (see Sub-Objects StatusHistory)
updatedAtstring (ISO)YesLast update date
amountWithdrawnnumberNoAmount actually withdrawn
processedDatestring (ISO)NoProcessing date
errorMessagestringNoError message
endToEndstringNoEnd-to-end identifier of the withdrawal
endToEndRefundstringNoEnd-to-end identifier of the refund
refundDatestring (ISO)NoRefund date
refundAmountnumberNoRefund amount (integer, in cents)
payerobjectNoPayer data (see Sub-Objects AccountHolder)
receiverobjectNoReceiver data (see Sub-Objects AccountHolder)
pixKeyobjectNoPIX key data (see Sub-Objects PixKeyVo)
trackingKeystringNoSPEI clave de rastreo. It always comes back null on PIX withdrawals
feeAmountnumberNoFee amount

Sub-Objects​

StatusHistory (item)​

FieldTypeRequiredDescription
statusstring (enum) - PENDING, PROCESSING, PROCESSED, FAILED, CANCELED, REFUNDED, REJECTED, PENDING_COMPLIANCEYesWithdrawal status
datestring (ISO)YesDate of the status
durationInMillisecondsnumberYesDuration of the status in milliseconds

AccountHolder​

FieldTypeRequiredDescription
typestring (enum) - PF, PJYesHolder type
namestringYesHolder name
documentstringYesHolder document
bankAccountobjectYesBank data (see Sub-Objects BankAccount)
pixobjectYesPIX key of the holder (see Sub-Objects PixKeyVo)

BankAccount​

FieldTypeRequiredDescription
typestringYesAccount type
digitstringYesAccount check digit
ispbstringYesISPB of the bank

PixKeyVo​

FieldTypeRequiredDescription
keystringYesPIX key
typestring (enum) - CPF, CNPJ, EMAIL, PHONE, EVPYesPIX key type

PaymentReceiptUrl​

FieldTypeRequiredDescription
urlstringYesURL of the receipt
expirationDatestring (ISO)YesExpiration date of the receipt

Response Example​

Masked data

Sensitive values may be masked with ***.

{
"id": "553e8400-e29b-41d4-a716-436251480000",
"acquirerCode": "ACQ-123",
"acquirer": "ACQUIRER_EXEMPLO",
"amount": 10000,
"method": "PIX",
"webhookUrl": "https://sua-api.com/webhooks/withdrawal",
"externalCode": "SAQUE-123",
"paymentReceipt": {
"url": "https://files.exemplo.com.br/receipts/withdrawal-553e8400-e29b-41d4-a716-436251480000.pdf",
"expirationDate": "2026-04-01T00:00:00.000Z"
},
"refundReceipt": {
"url": "https://files.exemplo.com.br/receipts/withdrawal-refund-553e8400-e29b-41d4-a716-436251480000.pdf",
"expirationDate": "2026-04-01T00:00:00.000Z"
},
"createdAt": "2026-03-06T12:49:04.681Z",
"status": "REFUNDED",
"statusHistory": [
{
"status": "PENDING",
"date": "2026-03-06T12:49:04.681Z",
"durationInMilliseconds": 1000
},
{
"status": "PROCESSING",
"date": "2026-03-06T12:49:04.681Z",
"durationInMilliseconds": 10000
},
{
"status": "PROCESSED",
"date": "2026-03-06T12:49:04.681Z",
"durationInMilliseconds": 10000
},
{
"status": "REFUNDED",
"date": "2026-03-06T12:49:04.681Z",
"durationInMilliseconds": 5000
}
],
"updatedAt": "2026-03-06T12:49:04.681Z",
"amountWithdrawn": 10000,
"processedDate": "2026-03-06T12:49:04.681Z",
"errorMessage": "Falha ao registrar o estorno no PSP",
"endToEnd": "0123456789",
"endToEndRefund": "0123456789-REFUND",
"refundDate": "2026-03-06T14:49:04.681Z",
"refundAmount": 10000,
"payer": {
"type": "PF",
"name": "Fulano de Tal",
"document": "***456789**",
"bankAccount": {
"type": "CHECKING",
"digit": "7",
"ispb": "12345678"
},
"pix": {
"key": "12345678910",
"type": "CPF"
}
},
"receiver": {
"type": "PJ",
"name": "Empresa Exemplo LTDA",
"document": "12345678000199",
"bankAccount": {
"type": "CHECKING",
"digit": "0",
"ispb": "12345678"
},
"pix": {
"key": "contato@exemplo.com",
"type": "EMAIL"
}
},
"pixKey": {
"key": "12345678910",
"type": "CPF"
},
"feeAmount": 150
}

Possible Errors​

CodeDescriptionSolution
401Invalid credentialsCheck your credentials
403No permission/authorizationContact support
404Record not foundCheck the id you provided
422Invalid or missing dataCheck the format of the data
422ValidationsContact support
500Internal errorContact support